package com.mobvista.apptag.utils;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjf
 */
public class PageUtil implements Serializable {
    private static final long serialVersionUID = 1L;
    private int total;
    private List<?> rows;
	/**
	 * 回显查询条件
	 */
	private Map<String, Object> map;
    public PageUtil(List<?> list, int total) {
        this.rows = list;
        this.total = total;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<?> getRows() {
        return rows;
    }

    public void setRows(List<?> rows) {
        this.rows = rows;
    }

        /**
     * @return the map
     */
    public Map<String, Object> getMap() {
        return map;
    }

    /**
     * @param map the map to set
     */
    public void setMap(Map<String, Object> map) {
        this.map = map;
    }
}
